/**
	* Glendale Designs Custom Programming
	* Recent Blog Posts Carousel
	* Built for Portable Technology Solutions
	*
	* Glendale Designs -- GDMZ
	*
	* Copyright Glendale Designs - Our optimizations are not freeware.
	* Do not use, copy or distribute without written permission.
	* Ask us, we're nice! support@glendaledesigns.com
*/

.t-recent-blog-posts {
	margin-bottom: calc(var(--margin-bottom, 0) * 1px);
	padding-top: calc(var(--padding-top, 0) * 1px);
	
	.t-recent-blog-posts__heading {
		font-size: clamp(1.5rem, 0.474rem + 4.211vw, 3rem);
	}
	
	.t-recent-blog-posts-carousel {
		
		.t-recent-blog-posts-carousel__review-article {
			
			&.is-active {
			}
			
			.t-recent-blog-posts-carousel__figure {
				display: flex;
				flex-direction: column;
				margin: unset;
				position: relative;
				
				.t-recent-blog-posts-carousel__picture {
					border-radius: 1rem;
					overflow: clip;
					position: relative;
					
					.t-recent-blog-posts-carousel__image {
					}
				}
				
				.t-recent-blog-posts-carousel__caption {
					padding: 1.25rem 0.25rem 0.75rem;
					
					.t-recent-blog-posts-carousel__date-time {
						color: var(--blue-400);
						font-size: var(--message-one);
						margin-bottom: 0.25rem;
					}
					
					.t-recent-blog-posts-carousel__title {
						font-size: var(--subheading-small);
					}
				}
				
				.t-recent-blog-posts-carousel__link {
					position: absolute;
					inset: 0;
					opacity: 0;
					text-decoration: none;
					transition: opacity ease-in 0.15s;
					z-index: 1;
					
					.t-recent-blog-posts-carousel__link-text {
						align-items: center;
						aspect-ratio: 1;
						background-color: var(--orange);
						border-radius: 50%;
						display: inline-flex;
						color: var(--white);
						padding: 0.75rem;
						position: absolute;
						right: 3rem;
						top: 25%;
					}
					
					@media (hover: hover) and (pointer: fine) {
						&:is(:focus, :hover) {
							opacity: 1;
							
							& ~ .t-recent-blog-posts-carousel__picture::before {
								background-color: oklch(from var(--gray-600) l c h / 20%);
								content: "";
								inset: 0;
								position: absolute;
								transition: background-color ease-in 0.15s;
							}
						}
					}
				}
			}
		}
		
		.t-recent-blog-posts-carousel__arrows {
			align-items: center;
			display: flex;
			gap: 1rem;
			justify-content: center;
			
			.t-recent-blog-posts-carousel__arrow {
				background-color: var(--white);
				border: var(--default-border-width) solid var(--gray-400);
				opacity: 1;
				padding: 1em;
				position: unset;
				transform: unset;
				width: 3rem;
				height: 3rem;
				
				&:disabled {
					opacity: 0.5;
				}
				
				svg {
					height: unset;
					width: unset;
				}
			}
		}
	}
}



/* This styles our custom flex components debug section.
    =========================================== */
.gd-debug {
	background-color: #21252b;
	box-shadow: 0 0 8px 4px #21252b;
	color: #abb2bf;
	margin: 1rem;
	outline: 4px dotted #ff9800;
	overflow: auto;
	padding: 0 1rem;
	white-space: break-spaces;
}
